Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82068 - Screensavers do not launch at all
Summary: Screensavers do not launch at all
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-17 02:11 UTC by Richard Allen
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-05 09:42:41 UTC


Attachments (Terms of Use)

Description Richard Allen 2003-01-17 02:11:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
After installing the KDE errata for 8.0 the screensavers dont even try to
activate.  I dont even get the blank screen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install kde errata for 8.0
2. watch the screensavers not activate :)
3.
    

Actual Results:  Screensavers stopped working altogether.

Expected Results:  Screensavers should still work.

Additional info:

I saw in bugzilla lots of bugs about the screensavers in KDE, but most of the
time they always got the blank screen one.  I dont even get that one.

Comment 1 Ngo Than 2003-02-15 16:34:32 UTC
Hmm, i think it was already fixed in this errate release. I will test it again.
Could you please tell me which version of kdelibs/kdebase you have on your
system? thanks

Comment 2 Richard Allen 2003-02-15 23:01:04 UTC
kdelibs-3.0.3-8.3
kdebase-3.0.3-14

I've discovered more.  Apparently /usr/bin/kdesktop_lock remains running.  If I
kill it, the screen with lock itself.   strace on the running kdesktop_lock gives:



select(16, [3 4 11 13 15], NULL, NULL, NULL) = 1 (in [3])
ioctl(3, 0x541b, [32])                  = 0
read(3, "\34\304\255\0n\0\0\0&\1\0\0 6\256c\0\0\0\0\n\0\0\0\310"..., 32) = 32
ioctl(3, 0x541b, [0])                   = 0
ioctl(3, 0x541b, [0])                   = 0
select(16, [3 4 11 13 15], NULL, NULL, NULL) = 1 (in [3])
ioctl(3, 0x541b, [32])                  = 0
read(3, "\34\304\255\0n\0\0\0,\1\0\0%6\256c\0\0\0\0\1\0\0\0\310"..., 32) = 32
ioctl(3, 0x541b, [0])                   = 0
ioctl(3, 0x541b, [0])                   = 0

ad inifinitum :)

Comment 3 Ngo Than 2003-03-05 09:42:41 UTC
i have found a bug. It's fixed in 3.0.5a, which will be released as errata soon.


Note You need to log in before you can comment on or make changes to this bug.